import 'package:supabase_flutter/supabase_flutter.dart';

class SupabaseHelper {
  static final SupabaseHelper _instance = SupabaseHelper._internal();
  
  factory SupabaseHelper() => _instance;
  
  SupabaseHelper._internal() {
    Supabase.initialize(
      url: 'https://srynwstusorigiphnict.supabase.co',
      anonKey: 'eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpc3MiOiJzdXBhYmFzZSIsInJlZiI6InNyeW53c3R1c29yaWdpcGhuaWN0Iiwicm9sZSI6ImFub24iLCJpYXQiOjE3NDI0NTYzNzIsImV4cCI6MjA1ODAzMjM3Mn0.FabAYaWwle_2fedH6RXayWvMhENZDEO_wrW1fks6eDQ',
    );
  }

  Future<void> resetPassword(String email) async {
    await Supabase.instance.client.auth.resetPasswordForEmail(email);
  }
}